import axios from 'axios'

/**
 * 사용자관리 > 직원검색
 * @property {string} name  - 이름
 * @returns
 * @param name
 */
export async function getUserList(params = {}) {
    try {
        const result = await axios.get('/api/user',params)
        console.log("result",result.data)
        return result.data
    } catch (e) {
        throw new Error(e)
    }
}

/**
 * 사용자관리 > 현재 사용자 정보 조회
 * @returns
 */
export async function getNowUserList(name: string) {
    try {
        const result = await axios.get(`/api/user/info`)
        return result.data
    } catch (e) {
        throw new Error(e)
    }
}